#ifndef __SECTIONARRAY_H
#define __SECTIONARRAY_H

#include <exec/types.h>
#include <proto/containerkit.h>
#include "configmodel.h"

SectionArray SectionArrayNew(VOID); 
VOID SectionArrayAppend(SectionArray array, SECTIONPTR value);
VOID SectionArrayFree(SectionArray array);
SECTIONPTR* SectionArrayValues(SectionArray array);

#define SectionArrayForEach(array, block) do {SECTIONPTR *afe_123_p = (*(SECTIONPTR **)array); SECTIONPTR aSection = *afe_123_p; int afe_123_c = (((ULONG *)array)[1]);\
  for (; afe_123_c--; aSection = *(++afe_123_p)) block} while (0);

#endif