#ifndef __SECTIONSTORE_H
#define __SECTIONSTORE_H

#include "types.h"

SECTIONSTOREPTR SectionStoreNew(VOID);
VOID SectionStoreFree(SECTIONSTOREPTR sectionStore);

VOID SectionStoreAddSection(SECTIONSTOREPTR sectionStore, SECTIONPTR section);
SECTIONPTR SectionStoreCurrentSection(SECTIONSTOREPTR sectionStore);
SECTIONPTR SectionStoreGetSection(SECTIONSTOREPTR sectionStore, CONST_STRPTR canonicalName);

VOID SectionStoreAddLine(SECTIONSTOREPTR sectionStore, LINEPTR line);

ULONG SectionStoreSectionCount(SECTIONSTOREPTR sectionStore);
SECTIONPTR SectionStoreSectionAt(SECTIONSTOREPTR sectionStore, ULONG index);

#endif