#include "sectionarray.h"
#include <proto/exec.h>
#include <string.h>

Array SectionArrayNew(VOID) 
{
	#define SIZE_STRPTR 2
	return NewArray(SIZE_STRPTR);
}

VOID SectionArrayAppend(SectionArray array, SECTIONPTR value)
{
	AppendToArray(CONST_STRPTR, array, value);	
}

VOID SectionArrayFree(SectionArray array)
{
	if( array != NULL )
	{
		SectionArrayForEach(array, SectionFree(aSection););
		DeleteArray(array);
	}
}

SECTIONPTR* SectionArrayValues(SectionArray array)
{
	return ArrayValues(SECTIONPTR, array);
}